use rocket::{serde::{Deserialize, Serialize}, Responder};

#[derive(Deserialize, Serialize)]
#[serde(crate="rocket::serde")]
pub struct ApiResponse {
    pub code: u32,
    pub message: String
}

#[derive(Deserialize, Serialize)]
#[serde(crate="rocket::serde")]
pub struct ApiResponseActiveList {
    pub code: u32,
    pub active_animations: Vec<String>,
}

#[derive(Responder)]
pub struct ApiResponder(String);
